Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded
Class ClassLoaderDeployer

    java.lang.Object
      org.jboss.deployers.spi.deployer.helpers.AbstractDeployer
          org.jboss.deployers.spi.deployer.helpers.AbstractClassLoaderDeployer
              org.jboss.deployers.spi.deployer.helpers.AbstractTopLevelClassLoaderDeployer
                  org.jboss.embedded.ClassLoaderDeployer

All Implemented Interfaces:
  org.jboss.deployers.spi.deployer.Deployer, org.jboss.deployers.spi.Ordered, org.jboss.deployers.structure.spi.ClassLoaderFactory

    public class ClassLoaderDeployer

extends org.jboss.deployers.spi.deployer.helpers.AbstractTopLevelClassLoaderDeployer

comment

Version:
  $Revision: 1.1 $
Author:
  Bill Burke, adrian@jboss.org

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.deployers.spi.Ordered
`org.jboss.deployers.spi.Ordered.OrderedComparator`

Field Summary

Fields inherited from class org.jboss.deployers.spi.deployer.helpers.AbstractDeployer
`log`

Fields inherited from interface org.jboss.deployers.spi.Ordered
`COMPARATOR`

Constructor Summary
`ClassLoaderDeployer()`

Method Summary
`java.lang.ClassLoader` | `createTopLevelClassLoader(org.jboss.deployers.structure.spi.DeploymentContext context)`

Methods inherited from class org.jboss.deployers.spi.deployer.helpers.AbstractTopLevelClassLoaderDeployer
`createClassLoader, removeClassLoader, removeTopLevelClassLoader`

Methods inherited from class org.jboss.deployers.spi.deployer.helpers.AbstractClassLoaderDeployer
`deploy, undeploy`

Methods inherited from class org.jboss.deployers.spi.deployer.helpers.AbstractDeployer
`addInput, addInput, addOutput, addOutput, getInput, getInputs, getOutput, getOutputs, getRelativeOrder, getStage, getType, isAllInputs, isComponentsOnly, isParentFirst, isTopLevelOnly, isWantComponents, setAllInputs, setComponentsOnly, setInput, setInputs, setInputs, setInputs, setOutput, setOutputs, setOutputs, setOutputs, setParentFirst, setRelativeOrder, setStage, setTopLevelOnly, setType, setWantComponents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderDeployer

    public ClassLoaderDeployer()

Method Detail

### createTopLevelClassLoader

    public java.lang.ClassLoader createTopLevelClassLoader(org.jboss.deployers.structure.spi.DeploymentContext context)
                                                    throws java.lang.Exception

  Specified by:
    `createTopLevelClassLoader` in class `org.jboss.deployers.spi.deployer.helpers.AbstractTopLevelClassLoaderDeployer`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD